ipfixcol2-dummy-output(7)

Name
ipfixcol2-dummy-output - Dummy (output plugin)

Description

The plugin provides a means to test the collector without actually storing any data. Every processing of an IPFIX packet can have specified delay so that throughput of the collector can be tested and required performance of output plugins can be determined.

Example configuration

            <output>
                <name>Dummy output</name>
                <plugin>dummy</plugin>
                <params>
                    <delay>0</delay>
                    <stats>true</stats>
                </params>
            </output>

Parameters

    delay
        Minimum delay between processing of two consecutive messages in microseconds.

    stats
        Print basic statistics after termination (flows, bytes, packets). [values: true/false, default: false]

Author
Lukáš Huták (lukas.hutak@cesnet.cz), Petr Velan (petr.velan@cesnet.cz)

Copyright
Copyright © 2018 CESNET, z.s.p.o.